Package org.codehaus.groovy.runtime

# Class Reflector

java.lang.Object
org.codehaus.groovy.runtime.Reflector

public class Reflector extends Object
Provides as alternative to reflection using bytecode generation.

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`Reflector()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(CachedMethod method, Object object, Object[] arguments)`
`protected Object`
`noSuchMethod(CachedMethod method, Object object, Object[] arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Reflector

public Reflector()

## Method Details

### invoke

public Object invoke(CachedMethod method, Object object, Object[] arguments)

### noSuchMethod

protected Object noSuchMethod(CachedMethod method, Object object, Object[] arguments)